#
# spec file for package python-seacucumber
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-seacucumber
Version:        1.5.2
Release:        2.3
Url:            https://github.com/duointeractive/sea-cucumber/
Summary:        A Django email backend for Amazon Simple Email Service, backed by celery
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/s/seacucumber/seacucumber-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-boto >= 2.25.0
BuildRequires:  python-celery
BuildRequires:  python-devel
BuildRequires:  python-django
BuildRequires:  python-setuptools
Requires:       python-boto >= 2.25.0
Requires:       python-celery
Requires:       python-django
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Sea Cucumber is a mail backend for Django_. Instead of sending emails
through a traditional SMTP mail server, Sea Cucumber routes email through
Amazon Web Services' excellent Simple Email Service (SES) via django-celery.

Configuring, maintaining, and dealing with some complicated edge cases can be
time-consuming. Sending emails with Sea Cucumber might be attractive to you if:

* You don't want to maintain mail servers.
* Your mail server is slow or unreliable, blocking your views from rendering.
* You need to send a high volume of email.
* You don't want to have to worry about PTR records, Reverse DNS, email
  whitelist/blacklist services.
* You are already deployed on EC2 (In-bound traffic to SES is free from EC2
  instances). This is not a big deal either way, but is an additional perk if 
  you happen to be on AWS.

%prep
%setup -q -n seacucumber-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Tue May 12 2015 benoit.monin@gmx.fr
- update to version 1.5.2:
  * Correct an old import that relied on an outdated reference
    in boto.__init__ (lijoantony)
- set a minimum version for python-boto
- add runtime dependencies as BuildRequires
* Tue Nov 19 2013 p.drouand@gmail.com
- Update to version 1.5.1
  + No changelog available
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Jan 21 2013 p.drouand@gmail.com
- Update to version 1.5:
  * No changelog available
* Wed Apr  4 2012 saschpe@suse.de
- Initial version
